package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Lim;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface LimMapper {

    int insert(Lim record);

    int insertSelective(Lim record);

    int updateByPrimaryKeySelective(Lim record);

    int updateByPrimaryKey(Lim record);

    int deleteByPrimaryKey(Lim record);

    int deleteByIds(Collection<Object> collection);

    Lim selectByPrimaryKey(Lim record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Lim> dyncRead(Map<String, Object> dyncMap);

    String selectFxfl(String ownref);

    String selectInrByTrnInr(String trninr);

    String selectInrByOrderinr(@Param("ordinr")String ordinr, @Param("sta")String sta);

    int updateByinr(String inr);

    String getMaxInr(@Param("objinr")String objinr,@Param("objtyp")String objtyp);

    List<Lim> selectByTrninr(@Param("trninr") String trninr);

    Lim selectOneByTrninr(@Param("trninr") String trninr);

    List<Lim> selectLimOderByOwnrefDesc(String ownref);

    Lim selectCecmOpnLim(@Param("ownref") String ownref, @Param("objtyp") String objtyp);

    int selectContByTransOwnref(@Param("ownref") String ownref,@Param("inifrm") String inifrm);

    Lim queryByObjInrTyp(@Param("vo") Lim vo);

    List<Lim> queryByStart(String ownref);
}